<?php

/**
 * Class ShippingServiceTest
 */
class ShippingServiceTest extends PHPUnit_Framework_TestCase
{
    public function testGenerateSticker()
    {
        $config = [
            'login' => '',
            'pass' => '',
            'ws_pass' => '',
            'dir' => '',
            'shipper' => [
                'societe' => '',
                'civilite' => '',
                'nom' => '',
                'email' => '',
                'telephone' => '',
                'adresse_rue' => '',
                'adresse_rue2' => '',
                'adresse_ville' => '',
                'adresse_cp' => '',
                'pays_code' => '',
                'pays_nom' => '',
            ],
        ];

        $shippingService = new \Bydedi\Shipping\Chronopost\ShippingService($config);

        $order = new Commande(1);
        $sticker = \Bydedi\Shipping\Chronopost\Sticker::createFromOrder($order->toArray());

        // use setter if it's necessary

        try {
            $sticker = $shippingService->generate($sticker);
        } catch (\Bydedi\Shipping\Chronopost\Exception\ChronopostException $e) {

        }

        dump($sticker->getUrlPdf());
        dump($sticker->getTracking());
    }
}
